qpid::sys::Monitor Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes
qpid::sys::Monitor Class Reference

A monitor is a condition variable and a mutex. More...

`#include <qpid/sys/Monitor.h>`

List of all members.

## Public Types
typedef ::qpid::sys::ScopedLock< Mutex > | ScopedLock
typedef ::qpid::sys::ScopedLock< Mutex > | ScopedLock
typedef ::qpid::sys::ScopedUnlock < Mutex > | ScopedUnlock
typedef ::qpid::sys::ScopedUnlock < Mutex > | ScopedUnlock
## Public Member Functions
void | wait ()
bool | wait (const AbsTime &absoluteTime)
void | lock ()
void | lock ()
void | unlock ()
void | unlock ()
bool | trylock ()
bool | trylock ()
void | wait (Mutex &)
bool | wait (Mutex &, const AbsTime &absoluteTime)
void | notify ()
void | notify ()
void | notifyAll ()
void | notifyAll ()
## Protected Attributes
pthread_mutex_t | mutex
boost::recursive_mutex | mutex

## Detailed Description

A monitor is a condition variable and a mutex.

## Member Typedef Documentation

typedef ::qpid::sys::ScopedLock<Mutex> qpid::sys::Mutex::ScopedLock`[inherited]`

Definition at line 40 of file Mutex.h.

typedef ::qpid::sys::ScopedLock<Mutex> qpid::sys::Mutex::ScopedLock`[inherited]`

Definition at line 47 of file Mutex.h.

typedef ::qpid::sys::ScopedUnlock<Mutex> qpid::sys::Mutex::ScopedUnlock`[inherited]`

Definition at line 41 of file Mutex.h.

typedef ::qpid::sys::ScopedUnlock<Mutex> qpid::sys::Mutex::ScopedUnlock`[inherited]`

Definition at line 48 of file Mutex.h.

## Member Function Documentation

void qpid::sys::Mutex::lock | ( |  | ) | `[inline, inherited]`

Definition at line 115 of file Mutex.h.

References QPID_POSIX_ASSERT_THROW_IF, and qpid::sys::Mutex::mutex.

void qpid::sys::Mutex::lock | ( |  | ) | `[inline, inherited]`

void qpid::sys::Condition::notify | ( |  | ) | `[inline, inherited]`

Definition at line 77 of file Condition.h.

References QPID_POSIX_ASSERT_THROW_IF.

void qpid::sys::Condition::notify | ( |  | ) | `[inline, inherited]`

void qpid::sys::Condition::notifyAll | ( |  | ) | `[inline, inherited]`

Definition at line 81 of file Condition.h.

References QPID_POSIX_ASSERT_THROW_IF.

void qpid::sys::Condition::notifyAll | ( |  | ) | `[inline, inherited]`

bool qpid::sys::Mutex::trylock | ( |  | ) | `[inline, inherited]`

Definition at line 123 of file Mutex.h.

References qpid::sys::Mutex::mutex.

bool qpid::sys::Mutex::trylock | ( |  | ) | `[inline, inherited]`

void qpid::sys::Mutex::unlock | ( |  | ) | `[inline, inherited]`

Definition at line 119 of file Mutex.h.

References QPID_POSIX_ASSERT_THROW_IF, and qpid::sys::Mutex::mutex.

void qpid::sys::Mutex::unlock | ( |  | ) | `[inline, inherited]`

void qpid::sys::Monitor::wait | ( |  | ) | `[inline]`

Definition at line 40 of file Monitor.h.

Referenced by wait().

bool qpid::sys::Monitor::wait | ( | const AbsTime & | absoluteTime | ) | `[inline]`

Definition at line 44 of file Monitor.h.

References wait().

void qpid::sys::Condition::wait | ( | Mutex & | mutex | ) | `[inline, inherited]`

Definition at line 62 of file Condition.h.

References QPID_POSIX_ASSERT_THROW_IF, and qpid::sys::Mutex::mutex.

bool qpid::sys::Condition::wait | ( | Mutex & | mutex,
|  | const AbsTime & | absoluteTime
| ) |  | `[inline, inherited]`

Definition at line 66 of file Condition.h.

References qpid::sys::toTimespec(), qpid::sys::EPOCH, qpid::sys::Mutex::mutex, and QPID_POSIX_ERROR.

## Member Data Documentation

pthread_mutex_t qpid::sys::Mutex::mutex`[protected, inherited]`

Definition at line 51 of file Mutex.h.

Referenced by qpid::sys::Mutex::Mutex(), qpid::sys::Mutex::~Mutex(), qpid::sys::Mutex::lock(), qpid::sys::Mutex::unlock(), qpid::sys::Mutex::trylock(), and qpid::sys::Condition::wait().

boost::recursive_mutex qpid::sys::Mutex::mutex`[protected, inherited]`

Definition at line 58 of file Mutex.h.

The documentation for this class was generated from the following file:

- qpid/sys/Monitor.h